Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class MultiselectInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.interceptor.MultiselectInterceptor

All Implemented Interfaces:
  Interceptor, Serializable

    public class MultiselectInterceptor

extends AbstractInterceptor

Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty Sting.

See Also:
  Serialized Form

Constructor Summary
`MultiselectInterceptor()`

Method Summary
`String` | `intercept(ActionInvocation actionInvocation)` Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor.

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiselectInterceptor

    public MultiselectInterceptor()

Method Detail

### intercept

    public String intercept(ActionInvocation actionInvocation)
                     throws Exception

  Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty Sting.

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Parameters:
    `actionInvocation` - ActionInvocation
  Returns:
    the result of the action
  Throws:
    `Exception` - if error
  See Also:
    `Interceptor.intercept(com.opensymphony.xwork2.ActionInvocation)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.